| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Member Functions
Tp::ReceivedMessage Class Reference
Channel proxies

The ReceivedMessage class is a subclass of Message, representing a received message only. More...

`#include <TelepathyQt/ReceivedMessage>`

Inherits Tp::Message.

List of all members.

## Classes

- class DeliveryDetails
    The ReceivedMessage::DeliveryDetails class represents the details of a delivery report. More...

## Public Member Functions

- ReceivedMessage (const ReceivedMessage &other)
- ReceivedMessage & operator= (const ReceivedMessage &other)
- ~ReceivedMessage ()
- QDateTime received () const
- ContactPtr sender () const
- QString senderNickname () const
- QString supersededToken () const
- bool isScrollback () const
- bool isRescued () const
- bool isDeliveryReport () const
- DeliveryDetails deliveryDetails () const
- bool isFromChannel (const TextChannelPtr &channel) const

## Detailed Description

The ReceivedMessage class is a subclass of Message, representing a received message only.

It contains additional information that's generally only available on received messages.

## Constructor & Destructor Documentation

Tp::ReceivedMessage::ReceivedMessage | ( | const ReceivedMessage & | other | ) |

Copy constructor.

Tp::ReceivedMessage::~ReceivedMessage | ( |  | ) |

Class destructor.

## Member Function Documentation

ReceivedMessage & Tp::ReceivedMessage::operator= | ( | const ReceivedMessage & | other | ) |

Assignment operator.

QDateTime Tp::ReceivedMessage::received | ( |  | ) | const

Return the time the message was received.

Returns:
  The timestamp as QDateTime, or QDateTime() if unknown.

ContactPtr Tp::ReceivedMessage::sender | ( |  | ) | const

Return the contact who sent the message.

Returns:
  A pointer to the Contact object.

See also:
  senderNickname()

QString Tp::ReceivedMessage::senderNickname | ( |  | ) | const

Return the nickname chosen by the sender of the message, which can be different for each message in a conversation.

Returns:
  The nickname.

See also:
  sender()

QString Tp::ReceivedMessage::supersededToken | ( |  | ) | const

If this message replaces a previous message, return the value of messageToken() for that previous message. Otherwise, return an empty string.

For instance, a user interface could replace the superseded message with this message, or grey out the superseded message.

Returns:
  The message token of the superseded message or an empty string if none.

bool Tp::ReceivedMessage::isScrollback | ( |  | ) | const

Return whether the incoming message was part of a replay of message history.

If `true`, loggers can use this to improve their heuristics for elimination of duplicate messages (a simple, correct implementation would be to avoid logging any message that has this flag).

Returns:
  `true` if the scrollback flag is set, `false` otherwise.

bool Tp::ReceivedMessage::isRescued | ( |  | ) | const

Return whether the incoming message was seen in a previous channel during the lifetime of the connection, but was not acknowledged before that channel closed, causing the channel in which it now appears to open.

If `true`, loggers should not log this message again.

Returns:
  `true` if the rescued flag is set, `false` otherwise.

bool Tp::ReceivedMessage::isDeliveryReport | ( |  | ) | const

Return whether the incoming message is a delivery report.

Returns:
  `true` if a delivery report, `false` otherwise.

See also:
  deliveryDetails()

ReceivedMessage::DeliveryDetails Tp::ReceivedMessage::deliveryDetails | ( |  | ) | const

Return the details of a delivery report.

This method should only be used if isDeliveryReport() returns `true`.

Returns:
  The delivery report as a ReceivedMessage::DeliveryDetails object.

See also:
  isDeliveryReport()

bool Tp::ReceivedMessage::isFromChannel | ( | const TextChannelPtr & | channel | ) | const

Return whether this message is from channel.

Returns:
  `true` if the message is from channel, `false` otherwise.